/**Begin D:\DBA\1.4\PDM_UPGRADE\PDM1\BCM_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BCM_PAPERTEMPLATE' AND KSQL_COL_NAME ='FSHOWTYPE') 
 ALTER TABLE T_BCM_PAPERTEMPLATE ADD (FSHOWTYPE VARCHAR(2) DEFAULT '0' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BCM_INVTMPLSCENARIO') 
 CREATE TABLE T_BCM_INVTMPLSCENARIO (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FMODELID BIGINT DEFAULT 0 NOT NULL,
FISEXCEPT CHAR(1) DEFAULT '0' NOT NULL,
FSCENARIOID BIGINT DEFAULT 0 NOT NULL,
FSCOPE VARCHAR(10) DEFAULT ' ' NOT NULL,
FSEQ INT  DEFAULT 0 NOT NULL
);



/**End D:\DBA\1.4\PDM_UPGRADE\PDM1\BCM_table.sql **/
